Loading...
Searching...
No Matches
MyGlobalPrintingFixture Class Reference

`#include <polys_test.h>`

## Public Member Functions

virtual bool | setUpWorld ()
virtual bool | setUpWorld ()
Public Member Functions inherited from GlobalPrintingFixture
| GlobalPrintingFixture (bool redirect=false)
| ~GlobalPrintingFixture ()
void | Redirect ()
virtual bool | tearDownWorld ()
virtual bool | setUp ()
virtual bool | tearDown ()
Public Member Functions inherited from CxxTest::GlobalFixture
| GlobalFixture ()
| ~GlobalFixture ()
GlobalFixture * | nextGlobalFixture ()
GlobalFixture * | prevGlobalFixture ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Additional Inherited Members

Static Public Member Functions inherited from CxxTest::GlobalFixture
static GlobalFixture * | firstGlobalFixture ()
static GlobalFixture * | lastGlobalFixture ()

## Detailed Description

Definition at line 24 of file polys_test.h.

## Member Function Documentation

## setUpWorld() [1/2]

virtual bool MyGlobalPrintingFixture::setUpWorld | ( |  | ) |

inline virtual

Reimplemented from GlobalPrintingFixture.

Definition at line 27 of file polys_test.h.

{
GlobalPrintingFixture::setUpWorld();
//TS_ASSERT_EQUALS( nRegister( n_Zp, npInitChar), n_Zp );
//TS_ASSERT_EQUALS( nRegister( n_GF, nfInitChar), n_GF );
//TS_ASSERT_EQUALS( nRegister( n_R, nrInitChar), n_R );
//TS_ASSERT_EQUALS( nRegister( n_Q, nlInitChar), n_Q );
//TS_ASSERT_EQUALS( nRegister( n_R, nrInitChar), n_R );
#ifdef HAVE_RINGS
//TS_ASSERT_EQUALS( nRegister( n_Z, nrzInitChar), n_Z ); // these are UNusable at the moment!
#endif
return true;
}
GlobalPrintingFixture::setUpWorld
virtual bool setUpWorld()
Definition common.h:116

## setUpWorld() [2/2]

virtual bool MyGlobalPrintingFixture::setUpWorld | ( |  | ) |

inline virtual

Reimplemented from GlobalPrintingFixture.

Definition at line 16 of file rings_test.h.

{
GlobalPrintingFixture::setUpWorld();
//TS_ASSERT_EQUALS( nRegister( n_Zp, npInitChar), n_Zp );
//TS_ASSERT_EQUALS( nRegister( n_GF, nfInitChar), n_GF );
//TS_ASSERT_EQUALS( nRegister( n_R, nrInitChar), n_R );
//TS_ASSERT_EQUALS( nRegister( n_Q, nlInitChar), n_Q );
//TS_ASSERT_EQUALS( nRegister( n_R, nrInitChar), n_R );
#ifdef HAVE_RINGS
//TS_ASSERT_EQUALS( nRegister( n_Z, nrzInitChar), n_Z ); // these are UNusable at the moment!
#endif
return true;
}

The documentation for this class was generated from the following files:

- libpolys/tests/polys_test.h
- libpolys/tests/rings_test.h